"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.diff = void 0;
const monaco_page_objects_1 = require("monaco-page-objects");
exports.diff = {
    locators: {
        BottomBarPanel: {
            close: 'Hide Panel',
            globalActions: monaco_page_objects_1.By.className('global-actions'),
            action: (label) => monaco_page_objects_1.By.xpath(`.//a[starts-with(@aria-label, '${label}')]`)
        },
        SettingsEditor: {
            comboValue: 'value'
        },
        FindWidget: {
            checkbox: (title) => monaco_page_objects_1.By.xpath(`.//div[@role='checkbox' and starts-with(@aria-label, "${title}")]`)
        },
        Notification: {
            buttonConstructor: (title) => monaco_page_objects_1.By.xpath(`.//a[@role='button' and text()='${title}']`),
            actionLabel: {
                value: (0, monaco_page_objects_1.fromText)()
            }
        },
        ScmView: {
            action: monaco_page_objects_1.By.className('action-label'),
            actionConstructor: (title) => monaco_page_objects_1.By.xpath(`.//a[@aria-label='${title}']`),
            actionLabel: 'aria-label'
        },
        ViewTitlePart: {
            actionLabel: 'aria-label'
        },
        DefaultTreeItem: {
            labelAttribute: 'aria-label'
        },
        Dialog: {
            buttonLabel: {
                value: (0, monaco_page_objects_1.fromText)()
            }
        }
    }
};
//# sourceMappingURL=1.87.0.js.map